# Class SequenceNumberMap

#### Hierarchy

- unknown
  - SequenceNumberMap

- Defined in src/protobuf/pb_pb.d.ts:5489
- Defined in src/protobuf/pb_pb.d.ts:5503

#####
Index

### Constructors

constructor

### Methods

addSequenceNumberEntries
clearSequenceNumberEntriesList
getSequenceNumberEntriesList
serializeBinary
setSequenceNumberEntriesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SequenceNumberMap(): SequenceNumberMap

- #### Returns SequenceNumberMap

  Inherited from jspb.Message.constructor

## Methods

### addSequenceNumberEntries

- addSequenceNumberEntries(value?: SequenceNumberEntry, index?: number): SequenceNumberEntry

- #### Parameters

  - ##### `Optional` value: SequenceNumberEntry

  - ##### `Optional` index: number

  #### Returns SequenceNumberEntry

  - Defined in src/protobuf/pb_pb.d.ts:5493

### clearSequenceNumberEntriesList

- clearSequenceNumberEntriesList(): SequenceNumberMap

- #### Returns SequenceNumberMap

  - Defined in src/protobuf/pb_pb.d.ts:5492

### getSequenceNumberEntriesList

- getSequenceNumberEntriesList(): SequenceNumberEntry[]

- #### Returns SequenceNumberEntry[]

  - Defined in src/protobuf/pb_pb.d.ts:5490

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5495

### setSequenceNumberEntriesList

- setSequenceNumberEntriesList(value: SequenceNumberEntry[]): SequenceNumberMap

- #### Parameters

  - ##### value: SequenceNumberEntry[]

  #### Returns SequenceNumberMap

  - Defined in src/protobuf/pb_pb.d.ts:5491

### toObject

- toObject(includeInstance?: boolean): SequenceNumberMap.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SequenceNumberMap.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5496

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SequenceNumberMap

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SequenceNumberMap

  - Defined in src/protobuf/pb_pb.d.ts:5499

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SequenceNumberMap, reader: BinaryReader): SequenceNumberMap

- #### Parameters

  - ##### message: SequenceNumberMap

  - ##### reader: BinaryReader

  #### Returns SequenceNumberMap

  - Defined in src/protobuf/pb_pb.d.ts:5500

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SequenceNumberMap, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SequenceNumberMap

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5498

### `Static` toObject

- toObject(includeInstance: boolean, msg: SequenceNumberMap): SequenceNumberMap.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SequenceNumberMap

  #### Returns SequenceNumberMap.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5497

Generated using TypeDoc